LMS System Requirements


  • < Back to support page


    This is an overview of the LatitudeLearning® system and browser recommendations that help ensure effective launch of e-Learning courses and use of LMS features in general. While the LMS and your courses may continue to function on older device, operating system, and browser versions, the best results will be achieved by using more recent versions. Latitude may limit its LMS enhancements and issue resolutions to supported versions only.

    NETWORK CAPACITY

    Minimum Connection Speed: 1Mbps (megabits per second)  

    Supported platforms and browsers

    Windows-based Desktops and Laptops 

    Windows 7 and above with one of the following browsers, current version and two previous versions, unless otherwise specified:

    • Google Chrome
    • Microsoft Edge (Chromium-based version 79+)
    • Mozilla Firefox
    • Opera

    Mac-based Desktops and Laptops

    macOS 10.13 "High Sierra" or later and one of the following browsers, current version and two previous versions, unless otherwise specified:

    • Apple Safari
    • Google Chrome
    • Microsoft Edge (Chromium-based version 79+)
    • Mozilla Firefox

    iPad and iPhone Devices

    iOS 10 or later and one of the following browsers, current version and two previous versions, unless otherwise specified:

    • Apple Mobile Safari
    • Google Chrome Mobile

    Android Devices

    Android 8.0 or later and Google Chrome Mobile

    additional information

    • Cookies and JavaScript must be enabled and accepted in browser security settings
    • Pop-up blockers must be disabled.
    • Flash is no longer supported by Adobe and therefore no longer supported in the LMS. Latitude has removed all Flash from the LMS features. Customers are responsible for updating any Flash-based eLearning content to HTML5 format for successful course launch.
    • Customers experiencing issues receiving Latitude system-generated email notifications may need to have their Information Technology staff whitelist (safe list) our IP addresses or domains. Please contact Support@LatitudeLearning.com for details.